## routino 3.3.2

=== python/Makefile ===
# Python interface Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2018, 2019 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Programs

PYTHON=python3

SWIG=swig

# Compilation targets

PY_FILES=$(wildcard src/*.py)

C_FILES=$(wildcard src/*.c)
CC_FILES=$(wildcard src/*.cc)

SWIG_C=src/_router.c
SWIG_CC=src/_database.cc
SWIG_PY=src/router.py src/database.py

ifneq ($(HOST),MINGW)
  LIBROUTINO=../src/libroutino.so
else
  LIBROUTINO=../src/routino.dll
endif

BUILD_TIMESTAMP=build/.timestamp

# Check that we have Python3 and swig installed

HAVE_PYTHON=$(shell $(PYTHON) --version 2> /dev/null)

HAVE_SWIG=$(shell $(SWIG) -version 2> /dev/null)

ifeq ($(HAVE_PYTHON),)
  $(warning Python3 not installed - skipping Python module creation)
endif

ifeq ($(HAVE_SWIG),)
  $(warning Swig not installed - skipping Python module creation)
endif

########

all: $(and $(HAVE_SWIG),$(HAVE_PYTHON),all-if-python)

all-if-python: $(BUILD_TIMESTAMP)

########

$(BUILD_TIMESTAMP): $(SWIG_C) $(SWIG_CC) $(SWIG_PY) $(PY_FILES) $(C_FILES) $(CC_FILES) $(LIBROUTINO) setup.py
	@rm -f $@
	$(PYTHON) setup.py build && touch $(BUILD_TIMESTAMP)

src/_router.c : src/router.i ../src/routino.h
	$(SWIG) -python -o $@ $<

src/router.py : src/_router.c
	@true # fake rule since src/router.py is created by the same rule as src/_router.c 

src/_database.cc : src/database.i src/database.hh
	$(SWIG) -c++ -python -o $@ $<

src/database.py : src/_database.cc
	@true # fake rule since src/database.py is created by the same rule as src/_database.cc 

src/%.o : src/%.c
	$(CC) -c $(CFLAGS) $< -o $@

src/%.o : src/%.cc
	$(CXX) -c $(CFLAGS) $< -o $@

$(LIBROUTINO):
	cd ../src && $(MAKE) all-lib

########

test: $(and $(HAVE_SWIG),$(HAVE_PYTHON),test-if-python)

test-if-python: $(BUILD_TIMESTAMP)
	cd test && $(MAKE) test

########

install: $(and $(HAVE_SWIG),$(HAVE_PYTHON),install-if-python)

install-if-python: all
	$(PYTHON) setup.py install --prefix $(prefix)

########

clean: clean-local
	cd test && $(MAKE) $@

clean-local:
	rm -f *~
	rm -rf build
	rm -f $(SWIG_C)
	rm -f $(SWIG_CC)
	rm -f $(SWIG_PY)

########

distclean: distclean-local
	cd test && $(MAKE) $@

distclean-local: clean-local

########

.PHONY:: all test install clean distclean

.PHONY:: all-if-python test-if-python install-if-python

.PHONY:: clean-local distclean-local

=== src/Makefile ===
# Source code Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2015, 2017, 2018 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Sub-directories and sub-makefiles

SUBDIRS=xml test

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

EXE=planetsplitter$(.EXE) planetsplitter-slim$(.EXE) router$(.EXE) router-slim$(.EXE) \
    filedumperx$(.EXE) filedumper$(.EXE) filedumper-slim$(.EXE) \
    router+lib$(.EXE) router+lib-slim$(.EXE)

ifneq ($(HOST),MINGW)
  LIB =libroutino.so               libroutino-slim.so
  LIB+=libroutino.so.$(SOVERSION)  libroutino-slim.so.$(SOVERSION)
  LIB+=libroutino.so.$(LIBVERSION) libroutino-slim.so.$(LIBVERSION)
else
  LIB =routino.dll routino-slim.dll
  LIB+=routino.def routino-slim.def
  LIB+=routino.lib routino-slim.lib
endif

INC=routino.h

ifneq ($(HOST),MINGW)
  LINK_LIB=libroutino.so
  LINK_SLIM_LIB=libroutino-slim.so
else
  LINK_LIB=routino.dll
  LINK_SLIM_LIB=routino-slim.dll
endif

########

all: all-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

all-local: all-exe all-lib

all-exe : $(EXE)

all-lib : $(LIB)

########

PLANETSPLITTER_OBJ=planetsplitter.o \
	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o prunex.o \
	           ways.o types.o \
	           files.o logging.o logerror.o errorlogx.o \
	           results.o queue.o sorting.o \
	           xmlparse.o tagging.o \
	           uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifeq ($(HOST),MINGW)
  PLANETSPLITTER_OBJ+=mman-win32.o
endif

planetsplitter$(.EXE) : $(PLANETSPLITTER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o prunex-slim.o \
	                ways.o types.o \
	                files.o logging.o logerror-slim.o errorlogx-slim.o \
	                results.o queue.o sorting.o \
	                xmlparse.o tagging.o \
	                uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifeq ($(HOST),MINGW)
  PLANETSPLITTER_SLIM_OBJ+=mman-win32.o
endif

planetsplitter-slim$(.EXE) : $(PLANETSPLITTER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

ROUTER_OBJ=router.o \
	   nodes.o segments.o ways.o relations.o types.o fakes.o \
	   optimiser.o output.o \
	   files.o logging.o profiles.o xmlparse.o \
	   results.o queue.o translations.o

ifeq ($(HOST),MINGW)
  ROUTER_OBJ+=mman-win32.o
endif

router$(.EXE) : $(ROUTER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

ROUTER_SLIM_OBJ=router-slim.o \
	        nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
	        optimiser-slim.o output-slim.o \
	        files.o logging.o profiles.o xmlparse.o \
	        results.o queue.o translations.o

ifeq ($(HOST),MINGW)
  ROUTER_SLIM_OBJ+=mman-win32.o
endif

router-slim$(.EXE) : $(ROUTER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPERX_OBJ=filedumperx.o \
	        files.o logging.o

ifeq ($(HOST),MINGW)
  FILEDUMPERX_OBJ+=mman-win32.o
endif

filedumperx$(.EXE) : $(FILEDUMPERX_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPER_OBJ=filedumper.o \
	       nodes.o segments.o ways.o relations.o types.o fakes.o errorlog.o \
               visualiser.o \
	       files.o logging.o xmlparse.o

ifeq ($(HOST),MINGW)
  FILEDUMPER_OBJ+=mman-win32.o
endif

filedumper$(.EXE) : $(FILEDUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
	       nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o errorlog-slim.o \
	       visualiser-slim.o \
	       files.o logging.o xmlparse.o

ifeq ($(HOST),MINGW)
  FILEDUMPER_SLIM_OBJ+=mman-win32.o
endif

filedumper-slim$(.EXE) : $(FILEDUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=0 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=1 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

ROUTER_LIB_OBJ=router+lib.o

router+lib$(.EXE) : $(ROUTER_LIB_OBJ) $(LINK_LIB)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LDSO)

router+lib-slim$(.EXE) : $(ROUTER_LIB_OBJ) $(LINK_SLIM_LIB)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LDSO)

########

LIBROUTINO_OBJ=routino-lib.o \
	        nodes-lib.o segments-lib.o ways-lib.o relations-lib.o types-lib.o fakes-lib.o \
	        optimiser-lib.o output-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifeq ($(HOST),MINGW)
  LIBROUTINO_OBJ+=mman-win32.o
endif

libroutino.so.$(LIBVERSION) : $(LIBROUTINO_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB) $(LDFLAGS_SONAME)

libroutino.so.$(SOVERSION) : libroutino.so.$(LIBVERSION)
	ln -sf $< $@

libroutino.so : libroutino.so.$(LIBVERSION)
	ln -sf $< $@

routino.dll : $(LIBROUTINO_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

routino.def : routino-lib.o
	dlltool -v --output-def $@ $<

routino.lib : routino.dll routino.def
	dlltool -v --dllname routino.dll --def routino.def --output-lib $@

########

LIBROUTINO_SLIM_OBJ=routino-slim-lib.o \
	        nodes-slim-lib.o segments-slim-lib.o ways-slim-lib.o relations-slim-lib.o types-lib.o fakes-slim-lib.o \
	        optimiser-slim-lib.o output-slim-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifeq ($(HOST),MINGW)
  LIBROUTINO_SLIM_OBJ+=mman-win32.o
endif

libroutino-slim.so.$(LIBVERSION) : $(LIBROUTINO_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB) $(LDFLAGS_SLIM_SONAME)

libroutino-slim.so.$(SOVERSION) : libroutino-slim.so.$(LIBVERSION)
	ln -sf $< $@

libroutino-slim.so : libroutino-slim.so.$(LIBVERSION)
	ln -sf $< $@

routino-slim.dll : $(LIBROUTINO_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

routino-slim.def : routino-slim-lib.o
	dlltool -v --output-def $@ $<

routino-slim.lib : routino-slim.dll routino-slim.def
	dlltool -v --dllname routino-slim.dll --def routino-slim.def --output-lib $@

########

%-lib.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=0 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim-lib.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=1 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test: test-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

test-local:

########

install: install-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

install-local: all-local
	@[ -d $(DESTDIR)$(bindir) ] || mkdir -p $(DESTDIR)$(bindir)
	@for file in $(EXE); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(bindir) ;\
	       cp -f $$file $(DESTDIR)$(bindir) ;\
	    fi ;\
	 done
	@[ -d $(DESTDIR)$(incdir) ] || mkdir -p $(DESTDIR)$(incdir)
	@for file in $(INC); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(incdir) ;\
	       cp -f $$file $(DESTDIR)$(incdir) ;\
	    fi ;\
	 done
	@[ -d $(DESTDIR)$(libdir) ] || mkdir -p $(DESTDIR)$(libdir)
	@for file in $(LIB); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(libdir) ;\
	       cp -df $$file $(DESTDIR)$(libdir) ;\
	    fi ;\
	 done

########

clean: clean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

clean-local:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(LIB)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: distclean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

distclean-local: clean-local

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-local test-local install-local clean-local distclean-local

=== extras/find-fixme/Makefile ===
# find-fixme Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2018 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Web file paths

WEBBINDIR=web/bin
WEBDATADIR=web/data
WEBWWWDIR=web/www

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src
ROUTINO_WEBWWWDIR=../../web/www/routino
ROUTINO_DOCDIR=../../doc/html

EXE=fixme-finder$(.EXE) fixme-finder-slim$(.EXE) fixme-dumper$(.EXE) fixme-dumper-slim$(.EXE)
DATA=fixme.xml
WWW_COPY=page-elements.css page-elements.js maplayout.css mapprops.js maploader.js
DOC_COPY=style.css

########

all: all-bin all-data all-www

all-bin: $(EXE)
	@[ -d $(WEBBINDIR) ] || mkdir -p $(WEBBINDIR)
	@for file in $(EXE); do \
	    if [ ! -f $(WEBBINDIR)/$$file ] || [ $$file -nt $(WEBBINDIR)/$$file ]; then \
	       echo cp $$file $(WEBBINDIR) ;\
	       cp -f $$file $(WEBBINDIR) ;\
	    fi ;\
	 done

all-data:
	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
	@for file in $(DATA); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $$file $(WEBDATADIR) ;\
	       cp -f $$file $(WEBDATADIR) ;\
	    fi ;\
	 done

all-www:
	@for file in $(WWW_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_WEBWWWDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done
	@for file in $(DOC_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_DOCDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done

########

FIXME_FINDER_OBJ=fixme-finder.o osmparser.o \
	       	 $(ROUTINO_SRC)/nodesx.o $(ROUTINO_SRC)/segmentsx.o $(ROUTINO_SRC)/waysx.o $(ROUTINO_SRC)/relationsx.o \
	       	 $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	 $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o $(ROUTINO_SRC)/errorlogx.o \
	       	 $(ROUTINO_SRC)/sorting.o \
	       	 $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	 $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifeq ($(HOST),MINGW)
  FIXME_FINDER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder$(.EXE) : $(FIXME_FINDER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_FINDER_SLIM_OBJ=fixme-finder-slim.o osmparser.o \
	       	      $(ROUTINO_SRC)/nodesx-slim.o $(ROUTINO_SRC)/segmentsx-slim.o $(ROUTINO_SRC)/waysx-slim.o $(ROUTINO_SRC)/relationsx-slim.o \
	              $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	      $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror-slim.o $(ROUTINO_SRC)/errorlogx-slim.o \
	              $(ROUTINO_SRC)/sorting.o \
	       	      $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	      $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifeq ($(HOST),MINGW)
  FIXME_FINDER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder-slim$(.EXE) : $(FIXME_FINDER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_DUMPER_OBJ=fixme-dumper.o \
	         $(ROUTINO_SRC)/errorlog.o \
	         $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifeq ($(HOST),MINGW)
  FIXME_DUMPER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper$(.EXE) : $(FIXME_DUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_DUMPER_SLIM_OBJ=fixme-dumper-slim.o \
	              $(ROUTINO_SRC)/errorlog-slim.o \
	              $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifeq ($(HOST),MINGW)
  FIXME_DUMPER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper-slim$(.EXE) : $(FIXME_DUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

$(ROUTINO_SRC)/%-slim.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=1 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	cd $(WEBBINDIR) && rm -f $(EXE)
	cd $(WEBDATADIR) && rm -f $(DATA)
	cd $(WEBWWWDIR) && rm -f $(WWW_COPY)
	cd $(WEBWWWDIR) && rm -f $(DOC_COPY)
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-bin all-data all-www

=== extras/statistics/Makefile ===
# database-stats Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2018 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src

EXE=dumper$(.EXE) dumper-slim$(.EXE)

########

all : $(EXE)

########

DUMPER_OBJ=dumper.o \
	   $(ROUTINO_SRC)/nodes.o $(ROUTINO_SRC)/segments.o $(ROUTINO_SRC)/ways.o \
	   $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/fakes.o $(ROUTINO_SRC)/logging.o \
           $(ROUTINO_SRC)/sorting.o

ifeq ($(HOST),MINGW)
  DUMPER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

dumper$(.EXE) : $(DUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

DUMPER_SLIM_OBJ=dumper-slim.o \
	   $(ROUTINO_SRC)/nodes-slim.o $(ROUTINO_SRC)/segments-slim.o $(ROUTINO_SRC)/ways-slim.o \
	   $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/fakes.o $(ROUTINO_SRC)/logging.o \
           $(ROUTINO_SRC)/sorting.o

ifeq ($(HOST),MINGW)
  DUMPER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

dumper-slim$(.EXE) : $(DUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

$(ROUTINO_SRC)/%-slim.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=1 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core
	rm -f *.png

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== extras/tagmodifier/Makefile ===
# tagmodifier Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2015, 2017, 2018 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src

EXE=tagmodifier$(.EXE)

########

all: $(EXE)

########

TAGMODIFIER_OBJ=tagmodifier.o \
	        $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o \
	        $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o

ifeq ($(HOST),MINGW)
  TAGMODIFIER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

tagmodifier$(.EXE) : $(TAGMODIFIER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR) || true
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== python/test/Makefile ===
# Test cases Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2011-2015, 2018 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

TESTDIR=../../src/test

# Executables

EXE=$(TESTDIR)/is-fast-math$(.EXE)

########

all:

########

test: $(EXE)
	@./run-router-tests.sh
	@./run-database-tests.sh

########

$(EXE):
	cd $(TESTDIR) && $(MAKE) test

########

install:

########

clean:
	rm -rf results
	rm -f *.log
	rm -f *~

########

distclean: clean

########

.PHONY:: all test install clean distclean

=== debian/changelog ===
routino (3.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Sep 2019 06:42:17 +0200

routino (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop python.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Sep 2019 06:40:48 +0200

routino (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.
  * Add Build-Depends-Package field to symbols files.
  * Update gbp.conf to use --source-only-changes by default.
  * Update copyright years for Andrew M. Bishop.
  * Refresh patches.
  * Add patch to fix FTBFS due to lack of python subdirectory.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2019 08:19:23 +0200

routino (3.2-5) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add dependency on sensible-utils to routino-www.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:07:35 +0200

routino (3.2-4) unstable; urgency=medium

  * Test for results before executing chown on them.
    (closes: #904405)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 15:13:47 +0200

routino (3.2-3) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete dbg package.
  * Update watch file to use HTTPS.
  * Don't use recursive chown.
  * Mentioned disabled patches in series file.
  * Add override for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 15:44:11 +0200

=== debian/control ===
Source: routino
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Uwe Steinmann <steinm@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               chrpath,
               flex,
               libbz2-dev,
               zlib1g-dev,
               libgraphics-magick-perl,
               gsfonts,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/routino
Vcs-Git: https://salsa.debian.org/debian-gis-team/routino.git
Homepage: http://www.routino.org/

Package: routino
Architecture: any
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Set of tools to find a path between two points
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap

Package: routino-common
Architecture: all
Depends: ${misc:Depends}
Breaks: routino (<< 3.0-2~)
Replaces: routino (<< 3.0-2~)
Description: Routino data
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the common data for Routino.

Package: routino-www
Architecture: all
Section: web
Depends: apache2 | httpd,
         libjs-leaflet,
         javascript-common,
         routino,
         sensible-utils,
         ${perl:Depends},
         ${misc:Depends}
Description: Web frontend for routino
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This is the web frontend to the router.

Package: libroutino0
Architecture: any
Section: libs
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routino routing library
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the libroutino shared library.

Package: libroutino-slim0
Architecture: any
Section: libs
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routino slim routing library
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the libroutino-slim shared library.

Package: libroutino-dev
Architecture: any
Section: libdevel
Depends: libroutino0 (= ${binary:Version}),
         libroutino-slim0 (= ${binary:Version}),
         ${misc:Depends}
Description: Routino library development headers
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the routino headers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION=$(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/\+.*//')

BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_clean:
	dh_auto_clean || echo "Ignoring clean failure"

override_dh_auto_build-arch:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	install -d $(CURDIR)/debian/tmp/usr/share/routino/www
	cp -r web/www/routino/* $(CURDIR)/debian/tmp/usr/share/routino/www

	install -d $(CURDIR)/debian/tmp/etc/routino-www
	install -m 644 debian/apache.conf $(CURDIR)/debian/tmp/etc/routino-www/apache.conf
	install -m 644 debian/avahi.conf $(CURDIR)/debian/tmp/etc/routino-www/routino-www.service
	install -m 644 debian/routino-www.desktop $(CURDIR)/debian/tmp/etc/routino-www/

	# Strip RPATH
	chrpath --delete debian/*/usr/bin/*

	# Remove upstream install documentation
	rm -f debian/*/usr/share/doc/routino/INSTALL.txt*
	rm -f debian/*/usr/share/doc/routino/INSTALL-MS-WIN.txt*

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='routino-dbg (<< 3.2-3~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://www.routino.org/download/ \
routino[\-\_]?(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## routino 3.3.3

=== python/Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 $(BUILD_TIMESTAMP): $(SWIG_C) $(SWIG_CC) $(SWIG_PY) $(PY_FILES) $(C_FILES) $(CC_FILES) $(LIBROUTINO) setup.py
 	@rm -f $@
-	$(PYTHON) setup.py build && touch $(BUILD_TIMESTAMP)
+	CFLAGS= LDFLAGS= $(PYTHON) setup.py build && touch $(BUILD_TIMESTAMP)
 
 src/_router.c : src/router.i ../src/routino.h
 	$(SWIG) -python -o $@ $<
@@ -106,7 +106,7 @@
 install: $(and $(HAVE_SWIG),$(HAVE_PYTHON),install-if-python)
 
 install-if-python: all
-	$(PYTHON) setup.py install --prefix $(prefix)
+	$(PYTHON) setup.py install --prefix $(DESTDIR)$(prefix)
 
 ########

=== debian/changelog ===
routino (3.3.3-2) unstable; urgency=medium

  * Update upstream metadata.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 18:48:37 +0100

routino (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update copyright file.
  * Refresh patches.
  * Update upstream URLs to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2020 05:42:25 +0100

routino (3.3.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 13:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper-compat (= 12),
                chrpath,
                flex,
                libbz2-dev,
@@ -15,10 +15,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/routino
 Vcs-Git: https://salsa.debian.org/debian-gis-team/routino.git
-Homepage: http://www.routino.org/
+Homepage: https://www.routino.org/
+Rules-Requires-Root: no
 
 Package: routino
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 MANPAGES:=$(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -53,11 +53,5 @@
 	rm -f debian/*/usr/share/doc/routino/INSTALL.txt*
 	rm -f debian/*/usr/share/doc/routino/INSTALL-MS-WIN.txt*
 
-override_dh_install:
-	dh_install --list-missing
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='routino-dbg (<< 3.2-3~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

## routino 3.4.1

=== web/Makefile ===
# web directory Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Web file paths and other paths

WEBBINDIR=bin
WEBDATADIR=data
WEBTRANSDIR=translations
WEBWWWDIR=www/routino
WEBICONDIR=www/routino/icons
WEBDOCDIR=www/routino/documentation

XMLDIR=../xml
DOCDIR=../doc
SRCDIR=../src

# Files to install

STANDARD_XML_FILES=profiles.xml \
	           translations.xml \
	           tagging.xml

SPECIAL_XML_FILES=tagging-drive.xml \
	          tagging-ride.xml \
	          tagging-walk.xml

PROFILE_FILES=profiles.pl \
	      profiles.js

TRANS_FILES=$(wildcard $(WEBTRANSDIR)/translation.*.txt)

DOC_FILES=$(notdir $(wildcard $(DOCDIR)/html/*.html)) $(notdir $(wildcard $(DOCDIR)/html/*.css))

EXE_FILES=planetsplitter$(.EXE) planetsplitter-slim$(.EXE) router$(.EXE) router-slim$(.EXE) filedumperx$(.EXE) filedumper$(.EXE) filedumper-slim$(.EXE)

########

all: all-bin all-data all-doc all-profiles all-translations all-icons

####

all-bin: all-exe
	@[ -d $(WEBBINDIR) ] || mkdir -p $(WEBBINDIR)
	@for file in $(EXE_FILES); do \
	    if [ -f $(SRCDIR)/$$file -a ! -f $(WEBBINDIR)/$$file ] || [ $(SRCDIR)/$$file -nt $(WEBBINDIR)/$$file ]; then \
	       echo cp $(SRCDIR)/$$file $(WEBBINDIR) ;\
	       cp -f $(SRCDIR)/$$file $(WEBBINDIR) ;\
	    fi ;\
	 done

####

all-data: all-xml
	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
	@for file in $(STANDARD_XML_FILES); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/routino-$$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
	       cp -f $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
	    fi ;\
	 done
	@for file in $(SPECIAL_XML_FILES); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/$$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
	       cp -f $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
	    fi ;\
	 done

####

all-doc:
	@[ -d $(WEBDOCDIR) ] || mkdir -p $(WEBDOCDIR)
	@for file in $(DOC_FILES); do \
	    if [ ! -f $(WEBDOCDIR)/$$file ] || [ $(DOCDIR)/html/$$file -nt $(WEBDOCDIR)/$$file ]; then \
	       echo cp $(DOCDIR)/html/$$file $(WEBDOCDIR) ;\
	       cp -f $(DOCDIR)/html/$$file $(WEBDOCDIR) ;\
	    fi ;\
	 done

####

all-profiles: all-bin all-data
	@if [ ! -f $(WEBWWWDIR)/profiles.js ] || [ ! -f $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.js ]; then \
	    echo update-profiles.pl ;\
	    ( cd $(WEBWWWDIR) ; perl update-profiles.pl ) ;\
	 fi

####

all-translations: $(WEBWWWDIR)/router.html    $(WEBWWWDIR)/visualiser.html \
	          $(WEBWWWDIR)/router.html.en $(WEBWWWDIR)/visualiser.html.en \
	          $(XMLDIR)/routino-translations.xml

ifeq ($(HOST),MINGW)

$(WEBWWWDIR)/router.html: $(WEBWWWDIR)/router.html.en
	@echo cp $< $@
	@cp -f $< $@

$(WEBWWWDIR)/visualiser.html: $(WEBWWWDIR)/visualiser.html.en
	@echo cp $< $@
	@cp -f $< $@

else

$(WEBWWWDIR)/router.html: $(WEBWWWDIR)/router.html.en
	@echo ln -s `basename $<` $@
	@ln -s -f `basename $<` $@

$(WEBWWWDIR)/visualiser.html: $(WEBWWWDIR)/visualiser.html.en
	@echo ln -s `basename $<` $@
	@ln -s -f `basename $<` $@

endif

$(WEBWWWDIR)/router.html.en: $(WEBTRANSDIR)/router.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

$(WEBWWWDIR)/visualiser.html.en: $(WEBTRANSDIR)/visualiser.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

$(XMLDIR)/routino-translations.xml: $(WEBTRANSDIR)/translations-head.xml $(WEBTRANSDIR)/translations-body.xml $(WEBTRANSDIR)/translations-tail.xml $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

####

all-icons: $(WEBICONDIR)/ball-0.png

$(WEBICONDIR)/ball-0.png: $(WEBICONDIR)/create-icons.pl
	@echo create-icons.pl
	@cd $(WEBICONDIR) && perl create-icons.pl

####

all-exe:
	cd $(SRCDIR) && $(MAKE) all-exe

####

all-xml: $(XMLDIR)/routino-translations.xml
	cd $(XMLDIR) && $(MAKE) all

########

test:

########

install: all
	@echo "******************************************************"
	@echo "* Note: web directory is not installed automatically *"
	@echo "******************************************************"

########

clean: clean clean-all-bin clean-all-data clean-all-doc clean-all-profiles clean-all-translations clean-all-icons
	rm -f *~

clean-all-bin:
	-cd $(WEBBINDIR)  && rm -f $(EXE_FILES)

clean-all-data:
	-cd $(WEBDATADIR) && rm -f $(STANDARD_XML_FILES)
	-cd $(WEBDATADIR) && rm -f $(SPECIAL_XML_FILES)

clean-all-doc:
	-cd $(WEBDOCDIR)  && rm -f $(DOC_FILES)

clean-all-profiles:

clean-all-translations:

clean-all-icons:

########

distclean: distclean-all-bin distclean-all-data distclean-all-doc distclean-all-profiles distclean-all-translations distclean-all-icons

distclean-all-bin: clean-all-bin

distclean-all-data: clean-all-data

distclean-all-doc: clean-all-doc

distclean-all-profiles: clean-all-profiles
	-cd $(WEBWWWDIR)  && rm -f $(PROFILE_FILES)

distclean-all-translations: clean-all-translations
	-cd $(WEBWWWDIR)  && rm -f router.html*
	-cd $(WEBWWWDIR)  && rm -f visualiser.html*

distclean-all-icons: clean-all-icons
	-cd $(WEBICONDIR) && rm -f ball-*.png limit-*.png marker-*.png

########

.PHONY:: all test install clean distclean

.PHONY:: all-bin all-data all-doc all-profiles all-icons all-translations all-exe all-xml

.PHONY:: clean-all-bin clean-all-data clean-all-doc clean-all-profiles clean-all-translations clean-all-icons

.PHONY:: distclean-all-bin distclean-all-data distclean-all-doc distclean-all-profiles distclean-all-translations distclean-all-icons

.NOTPARALLEL:

=== debian/changelog ===
routino (3.4.1-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Mar 2025 08:00:53 +0100

routino (3.4.1-3~exp1) experimental; urgency=medium

  * Use dpkg-buildflags in Makefile.conf to get hardening flags.
    (closes: #1099720)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Mar 2025 06:12:45 +0100

routino (3.4.1-2) unstable; urgency=medium

  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update hardening patch with new buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 20:25:46 +0100

routino (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jul 2023 06:55:28 +0200

routino (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Jun 2023 05:58:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                chrpath,
                flex,
                libbz2-dev,
@@ -15,7 +15,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/routino
 Vcs-Git: https://salsa.debian.org/debian-gis-team/routino.git
 Homepage: https://www.routino.org/

## routino 3.4.2

=== debian/changelog ===
routino (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Mar 2025 07:46:18 +0200
